%define realname kppp

Name:           kdenetwork-kppp
Summary:        Internet Dial-Up Tool
Group:          Networking/Remote access
Version: 	15.04.3
Release:        %mkrel 1
URL:            http://www.kde.org
License:        GPLv2 LGPLv2 GFDL
Source0:        ftp://ftp.kde.org/pub/kde/stable/%{version}/src/%{realname}-%{version}.tar.xz
BuildRequires:  kdelibs-devel
Requires:       ppp
Requires:       kdenetwork-kppp-provider


%description
KPPP is used to setup PPP (Point-to-Point Protocol) connections. This is most
useful for connecting with a cell phone "modem" card these days. It is also use
to configure real modem connections.

%files
%dir %_kde_appsdir/kppp
%_kde_appsdir/kppp/pics
%_kde_bindir/kppp
%_kde_bindir/kppplogview
%_kde_datadir/applications/kde4/Kppp.desktop
%_kde_datadir/applications/kde4/kppplogview.desktop
%_kde_iconsdir/*/*/apps/kppp.*
%_datadir/dbus-1/interfaces/org.kde.kppp.xml

#------------------------------------------------------------------------------

%package -n kdenetwork-kppp-provider
Group:          Networking/Remote access
Summary:        List of providers for pppd

%description -n kdenetwork-kppp-provider
List of providers for kppp

%files -n kdenetwork-kppp-provider
%_kde_appsdir/kppp/Rules
%_kde_appsdir/kppp/Provider

#------------------------------------------------------------------------------
%package -n kdenetwork-kppp-handbook
Summary: Kppp Handbook
Requires:  kdenetwork-kppp
BuildArch: noarch

Group: Documentation
%description -n kdenetwork-kppp-handbook
This package provides kppp handbook

%files -n kdenetwork-kppp-handbook
%doc %_kde_docdir/HTML/en/kppp
#------------------------------------------------------------------------------


%prep
%setup -q -n %{realname}-%{version}

%build
export LD=/usr/bin/ld.gold
%cmake_kde4 -DKDE4_ENABLE_FINAL=OFF 
%make

%install
%makeinstall_std -C build

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Internet-RemoteAccess" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications/kde4 $RPM_BUILD_ROOT%{_datadir}/applications/kde4/Kppp.desktop

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Internet-RemoteAccess" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications/kde4 $RPM_BUILD_ROOT%{_datadir}/applications/kde4/kppplogview.desktop



%changelog
* Tue Jul 21 2015 pp <pp> 15.04.3-1pclos2015
- update

* Sat Apr 18 2015 pinoc <vogtpet at gmail.com> 15.04.0-1pclos2015
- 15.04.0

* Mon Mar 09 2015 bb <bb> 14.12.3-1pclos2015
- update

* Thu Nov 13 2014 pinoc <vogtpet at gmail.com> 4.14.3-1pclos2014
- 4.14.3

* Tue Jul 15 2014 pinoc <vogtpet at gmail.com> 4.13.3-1pclos2014
- 4.13.3

